> For the complete documentation index, see [llms.txt](https://docs.chiliz.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.chiliz.com/tr/gelistir/gelismis/nft-ile-calisma/nft-dosyalarini-hazirlama.md).

# NFT Dosyalarını Hazırlama

Chiliz Chain'de NFT basımı için görsel varlıklar ve ERC-721/ERC-1155 meta veri JSON dosyaları hazırlayın; görüntü formatları ve meta veri şema standartları dahil.

NFT projeniz için dosyaları hazırlamak iki ayrı bölümden oluşur:

* görsel varlık (kullanıcının gördüğü)
* meta veri (blockchain'in okuduğu)

## Görsel Varlıklar

Bunlar NFT'ye dönüştürmek istediğiniz sanattır.

Siz (veya tasarım ekibiniz) dosyaları şu özelliklerle üretmelisiniz:

### Format

* Statik görüntüler: PNG (kalite için tercih edilir) veya JPG kullanın.
* Video: MP4 kullanın.\
  *Video kartınız varsa, sorunsuz yükleme için statik bir "küçük resim" görüntüsü de oluşturun.*
* 3D Nesneler: GLB veya GLTF kullanın.

### Boyutlar (En-Boy Oranı)

Genellikle NFT'ler şunları kullanır:

* Kare format: 1080 x 1080 piksel.
* Dikey Telefon/Hikaye formatı: 1080 x 1920 piksel.

### Dosya Boyutu

Mobil cüzdanlarda hızlı yükleme için dosyaları 25 MB'ın altında tutmayı hedefleyin (ideal olarak <10 MB).

{% hint style="info" %}

#### Profesyonel İpucu

Yüksek çözünürlüklü bir "Ana" dosya (100 MB+) oluşturun ancak bunu ana NFT görüntüsü olarak kullanmayın. Bunun yerine, Ana dosyayı yalnızca sahibine vermek için "[Kilitli İçerik](https://help.rarible.com/hc/en-us/articles/10460251328653-What-is-unlockable-content)" özelliğini kullanın.
{% endhint %}

## Meta Veri

Blockchain görüntünüzü doğrudan saklamaz (çok pahalıdır). JSON formatındaki bir metin dosyasına bağlantı depolar; bu da JSON dosyalarının yalnızca görsel dosyalar fiilen barındırıldıktan sonra oluşturulabileceği anlamına gelir.

{% hint style="info" %}
Modern araçların büyük çoğunluğu bunu sizin için yaparak her şeyi elle yapma zorunluluğundan kurtarır.
{% endhint %}

Koleksiyonunuzdaki her NFT türü için bir JSON dosyası olmalıdır (örneğin "NFT 1" için bir JSON, "NFT 2" için bir JSON vb.).

İşte bir NFT'nin JSON dosyasına örnek:

```json
{
  "name": "Mark Whaleon - 2024/25 Season",
  "description": "The official Striker card for Team X, 2024/25 Season. Gold Tier.",
  "image": "ipfs://YOUR_IMAGE_IPFS_ID_GOES_HERE",
  "external_url": "https://example.com/players/whaleon",
  "attributes": [
    {
      "trait_type": "Position",
      "value": "Striker"
    },
    {
      "trait_type": "Jersey Number",
      "value": "10"
    },
    {
      "trait_type": "Season",
      "value": "2024/2025"
    },
    {
      "trait_type": "Rarity",
      "value": "Gold"
    },
    {
      "display_type": "number",
      "trait_type": "Goals Scored",
      "value": 15
    }
  ]
}
```

{% hint style="info" %}
Nitelikler, sporla ilgili kartlar için kritik öneme sahiptir. Kullanıcıların pazaryerlerinde "Pozisyon", "Sezon" veya "Nadirlik" gibi kriterlere göre filtreleme yapmasını sağlar.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.chiliz.com/tr/gelistir/gelismis/nft-ile-calisma/nft-dosyalarini-hazirlama.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
